org.eclipse.spi.net4j

## Interface InternalChannelMultiplexer.BufferMultiplexer

- Enclosing interface:
    InternalChannelMultiplexer

      public static interface InternalChannelMultiplexer.BufferMultiplexer

  Since:
    4.10
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `multiplexBuffer(InternalChannel channel, IBuffer buffer)` Called by a `channel` each time a new `buffer` is available for multiplexing.

- - ### Method Detail

    - #### multiplexBuffer

          void multiplexBuffer(InternalChannel channel,
                               IBuffer buffer)

      Called by a `channel` each time a new `buffer` is available for multiplexing.

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html